Loading...
Searching...
No Matches
XrdTlsHostcheck.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | CURL_HOST_MATCH 1
#define | CURL_HOST_NOMATCH 0

## Functions

int | Curl_cert_hostcheck (const char *match_pattern, const char *hostname)

## Macro Definition Documentation

## CURL_HOST_MATCH

#define CURL_HOST_MATCH 1

Definition at line 26 of file XrdTlsHostcheck.hh.

Referenced by Curl_cert_hostcheck(), hostmatch(), matches_common_name(), and matches_subject_alternative_name().

## CURL_HOST_NOMATCH

#define CURL_HOST_NOMATCH 0

Definition at line 25 of file XrdTlsHostcheck.hh.

Referenced by hostmatch().

## Function Documentation

## Curl_cert_hostcheck()

int Curl_cert_hostcheck | ( | const char * | match_pattern,
|  | const char * | hostname )

Definition at line 205 of file XrdTlsHostcheck.icc.

{
if(!match_pattern || !*match_pattern ||
!hostname || !*hostname) /* sanity check */
return 0;
if(Curl_raw_equal(hostname, match_pattern)) /* trivial case */
return 1;
if(hostmatch(hostname,match_pattern) == CURL_HOST_MATCH)
return 1;
return 0;
}
CURL_HOST_MATCH
#define CURL_HOST_MATCH
Definition XrdTlsHostcheck.hh:26
Curl_raw_equal
static int Curl_raw_equal(const char *first, const char *second)
Definition XrdTlsHostcheck.icc:123
hostmatch
static int hostmatch(const char *hostname, const char *pattern)
Definition XrdTlsHostcheck.icc:163

References CURL_HOST_MATCH, Curl_raw_equal(), and hostmatch().

Referenced by matches_common_name(), and matches_subject_alternative_name().

Here is the call graph for this function:
Here is the caller graph for this function: